## org.codehaus.groovy.tools.shell.util
Class HelpFormatter

Custom CLI help formatter to render things correctly.

version:
  $Id: HelpFormatter.groovy 7781 2007-08-28 00:17:11Z user57 $

author:
  Jason Dillon

Constructor Summary
`HelpFormatter()`

Method Summary
`int` | `getDefaultWidth()`
`StringBuffer` | `renderOptions(StringBuffer sb, int width, Options options, int leftPad, int descPad)`

Constructor Detail

### HelpFormatter

    public HelpFormatter()

Method Detail

### getDefaultWidth

    public int getDefaultWidth()

### renderOptions

    StringBuffer renderOptions(StringBuffer sb, int width, Options options, int leftPad, int descPad)